Imported data
AuthnToken Bearer Token (JWT) | Recurso | Descripción |
|---|---|
| Portability | These services checks if a landline portability or an access transfer is allowed. |
| Subscription Limit | This service provides subscriptions info of telco services |
AuthnToken Bearer Token (JWT) | Recurso | Descripción |
|---|---|
| Portability | These services checks if a landline portability or an access transfer is allowed. |
| Subscription Limit | This service provides subscriptions info of telco services |
Returns whether the portability process can be carried out and whether it requires a new installation. Altas con portabilidad.
PATH PARAMETERS
{
"number": "911234567",
"territoryOwner": "FIBNEB01",
"technicalId": "12345678901234567",
"addressId": "M0000000000000000000000000000007042185",
"technology": "FTTH"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
number* | string | Fixed number to be ported | ||
territoryOwner* | string | Territory owner. Not mandatory if technology is MIFIJO | ||
technicalId* | string | TechnicalId (corresponding with "GESCAL" ). Not mandatory if technology is MIFIJO. g17 or g37 | ||
addressId | string | Unique address ID | ||
technology* | string
()
FTTHADSLMIFIJO | Technology to be provided |
OK Success
{
"internalPortability": true,
"isPortable": true,
"installationRequired": false,
"operator": {
"code": "00031",
"name": "XTRA"
},
"installationInformation": {
"internalAccess": true,
"iua": "V33904AHB202",
"brand": "ORANGE",
"number": "654321987",
"documentNumber": "12345678Z",
"gescal": "28000010276800007 006DCHA "
}
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
internalPortability* | boolean | Determines whether the process is an internal portability or not | |||||||||||||||||||||||||||||||||||||
isPortable* | boolean | Determines whether the number is portable | |||||||||||||||||||||||||||||||||||||
installationRequired* | boolean | Determines whether a new installation is required | |||||||||||||||||||||||||||||||||||||
operator* | object | ||||||||||||||||||||||||||||||||||||||
| |||||||||||||||||||||||||||||||||||||||
installationInformation | object | Available when FTTH access transfer | |||||||||||||||||||||||||||||||||||||
| |||||||||||||||||||||||||||||||||||||||
Bad Request Bad request
{
"code": "0015",
"status": "BAD_REQUEST",
"message": "Bad Request",
"detailMsg": "The field '{fieldName}' is required"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
status | string | |||
message | string | |||
detailMsg | string |
Not Found Not found
{
"code": "0001",
"status": "NOT_FOUND",
"message": "Resource Not Found",
"detailMsg": "{Entity} not found for id: {id}"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
status | string | |||
message | string | |||
detailMsg | string |
Error
{
"code": "0002",
"status": "UNEXPECTED",
"message": "Unexpected error",
"detailMsg": "Unhandled exception"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
status | string | |||
message | string | |||
detailMsg | string |
curl -X POST 'https://feasibility.sta.masstack.com/v2/orgs/:orgId/portability/portabilityCheck' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
--data-raw '{
"number": "911234567",
"territoryOwner": "FIBNEB01",
"technicalId": "12345678901234567",
"addressId": "M0000000000000000000000000000007042185",
"technology": "FTTH"
}' Returns if a new installation is required. Altas naked o nueva numeracion.
PATH PARAMETERS
{
"originNumber": "911234567",
"territoryOwner": "FIBNEB01",
"technicalId": "12345678901234567",
"addressId": "M0000000000000000000000000000007042185",
"documentId": {
"type": "NIF",
"value": "11111111A"
}
} | Property | Type | Description | Constraints | Default | |||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
originNumber | string | Fixed number to be ported | |||||||||||||||||
territoryOwner* | string | Territory owner. | |||||||||||||||||
technicalId* | string | TechnicalId (corresponding with "GESCAL" ). g17 or g37 | |||||||||||||||||
addressId | string | Unique address ID | |||||||||||||||||
documentId* | object | ||||||||||||||||||
| |||||||||||||||||||
OK Success
{
"installationRequired": false,
"installationInformation": {
"internalAccess": true,
"iua": "V33904AHB202",
"brand": "ORANGE",
"number": "654321987",
"documentNumber": "12345678Z",
"gescal": "28000010276800007 006DCHA "
}
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
installationRequired* | boolean | Determines whether a new installation is required | |||||||||||||||||||||||||||||||||||||
installationInformation | object | Available when FTTH access transfer | |||||||||||||||||||||||||||||||||||||
| |||||||||||||||||||||||||||||||||||||||
Bad Request Bad request
{
"code": "0015",
"status": "BAD_REQUEST",
"message": "Bad Request",
"detailMsg": "The field '{fieldName}' is required"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
status | string | |||
message | string | |||
detailMsg | string |
Not Found Not found
{
"code": "0001",
"status": "NOT_FOUND",
"message": "Resource Not Found",
"detailMsg": "{Entity} not found for id: {id}"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
status | string | |||
message | string | |||
detailMsg | string |
Error
{
"code": "0002",
"status": "UNEXPECTED",
"message": "Unexpected error",
"detailMsg": "Unhandled exception"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
status | string | |||
message | string | |||
detailMsg | string |
curl -X POST 'https://feasibility.sta.masstack.com/v2/orgs/:orgId/portability/accessCheck' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
--data-raw '{
"originNumber": "911234567",
"territoryOwner": "FIBNEB01",
"technicalId": "12345678901234567",
"addressId": "M0000000000000000000000000000007042185",
"documentId": {
"type": "NIF",
"value": "11111111A"
}
}' Gives active subscriptions info and fraud limits of telco services for a client
PATH PARAMETERS
Organization name as it is registered in mas-stack
{
"document_type": "NIF",
"document_id": "88662844Y",
"segment": "Consumer"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
document_type | string
()
NIFCIFNIEPASSPORTTR | client document type. | ||
document_id | string | client document number. | ||
segment | string
()
ConsumerSelfEmployeeSMEB2B |
OK Success
{
"total_limit": 4,
"total_active_subscriptions": 2,
"total_subscriptions_allowed": 2,
"specific_limits": [
[
{
"type": "mobile",
"limit": 3,
"active_subscriptions": 2,
"subscriptions_allowed": 1
},
{
"type": "fixed",
"limit": 1,
"active_subscriptions": 0,
"subscriptions_allowed": 1
},
{
"type": "fixed",
"limit": 1,
"active_subscriptions": 0,
"subscriptions_allowed": 1
}
]
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
total_limit* | integer | total limit from fraud | |||||||||||||||||||||||||||
total_active_subscriptions* | integer | active subscription for request type and client | |||||||||||||||||||||||||||
total_subscriptions_allowed* | integer | subscriptions allowed for a client | |||||||||||||||||||||||||||
specific_limits | object[] | subscriptions of each type allowed for a client | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
curl -X POST 'https://feasibility.sta.masstack.com/v2/orgs/masmovil/subscriptions/limit/active' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
--data-raw '{
"document_type": "NIF",
"document_id": "88662844Y",
"segment": "Consumer"
}'